How to install Syncplify.me Server! v4

Syncplify.me Server! version: 4.0.0+

If you are already running an older version (v3.x) of Syncplify.me Server! and you wish to upgrade, then please carefully review this other KB article.

This article is intended only for new installations of Syncplify.me Server! v4.x onto systems where no other version of the software has ever been installed. The video below shows in detail the entire procedure:

 

Can I run Syncplify.me Server!’s HTTP REST API on port 443?

Syncplify.me Server! version: 4.0.0+

During the installation process of Syncplify.me Server! v4.x (or greater) you will be asked the IP address and port to which the new HTTP REST API service should bind. While in most cases 0.0.0.0 (all interfaces) is a safe choice for the IP address, it is important to carefully choose a port.

In order to help you choose, we have prepared a very easy diagram. Just answer the questions on the diagram, and you’ll know which port (not) to use.

HTTPS Port Choice

This said, in order to limit automatic probes (bots), choosing a non-standard port is probably always the safest way to go.